/* gs-parse.h */

#ifndef _h_parse
#define _h_parse

#include <stdio.h>
#include "gs-struct.h"


int readaline(		char logline[],	int bufsize,	FILE *fp);
void EraseLogr(		logr *r);
int ParseAccNCSA(	char *logline,	logr *r,	FILE *err);
int ParseAccSTD(	char *logline,	logr *r, 	FILE *err);
void convtoshortdate(	char *date,	char *shortdate);
void convtoyearsecs(	logr *r,	char *datfmt);
char *valid_http_req(	char *request,	logr *r);
void AddCaret(		char *url);
void unescape_url(	char *url);
char x2c(		char *what);
int read_uncompressed(	FILE **zip, char *infilname);

#endif
